> For the complete documentation index, see [llms.txt](https://docs.rallyprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rallyprotocol.com/resources/faqs.md).

# FAQs

## Embedded wallets <a href="#are-embedded-wallets-a-separate-application" id="are-embedded-wallets-a-separate-application"></a>

#### Are embedded wallets a separate application? <a href="#are-embedded-wallets-a-separate-application" id="are-embedded-wallets-a-separate-application"></a>

An embedded wallet is not a standalone wallet app like Metamask or Coinbase Wallet. Instead, it serves as the wallet layer with which your dApp provides an interface to interact with the blockchain. Simply put, your dapp is the wallet.

#### Can I use the same crypto account for testnet (Amoy) and mainnet Polygon? <a href="#can-i-use-the-same-crypto-account-for-testnet-amoy-and-mainnet-polygon" id="can-i-use-the-same-crypto-account-for-testnet-amoy-and-mainnet-polygon"></a>

A crypto account on Amoy will work on Mainnet Polygon and vice versa. Please make sure you select the correct network if funds are not appearing correctly.

#### Is the SDK open source? <a href="#is-the-sdk-open-source" id="is-the-sdk-open-source"></a>

Yes! Visit us at <https://github.com/rally-dfs/>

## Gasless Transactions

#### How can I tell if a token is supported for sponsored gasless transactions? <a href="#how-can-i-tell-if-a-token-is-supported-for-sponsored-gasless-transactions" id="how-can-i-tell-if-a-token-is-supported-for-sponsored-gasless-transactions"></a>

We support tokens that use the following methods to enable gasless transactions:

`executeMetaTransaction`

ERC20 tokens using the official [Polygon token mapper](https://mapper.polygon.technology/) prior to January 2023 automatically inherited `executeMetaTransact`. This can be verified by checking that a token's Contract Name is *UChildERC20Proxy*. [RLY Token for reference.](https://polygonscan.com/token/0x76b8D57e5ac6afAc5D415a054453d1DD2c3C0094#code)

`permit()`

#### Are all contracts supported? <a href="#are-all-contracts-supported" id="are-all-contracts-supported"></a>

Not all contracts are supported by our SDK out of the box. Here are some error messages you may encounter:

1. `Paymaster rejected in server: isTrustedForwarder: reverted.`
   1. In order to enable sponsored gasless transactions, the contract must be [ERC2771 compatible](https://docs.opengsn.org/contracts/#install-opengsn-contracts) or whitelisted on our paymaster. View the [Add ERC2771Recipient guide](https://docs.rallyprotocol.com/v/flutter/gasless-transactions/guides/add-erc2771recipient).
2. `Paymaster rejected in server: invalid forwarder for recipient.`
   1. External contracts are required to set the trusted forwarder address to
      1. Amoy: `0x0ae8FC9867CB4a124d7114B8bd15C4c78C4D40E5`
      2. Mainnet: `0xB2b5841DBeF766d4b521221732F9B618fCf34A87`
   2. View the [code example](https://gist.github.com/DonGambas/230389f11dc5f10137a510527175e01e)

#### Do you support tokens that do not use `executeMetaTransaction` and `permit()`for sponsored gasless transactions? <a href="#do-you-support-tokens-that-do-not-use-executemetatransaction-and-permit-for-sponsored-gasless-transa" id="do-you-support-tokens-that-do-not-use-executemetatransaction-and-permit-for-sponsored-gasless-transa"></a>

Please contact us at <partnerships@rallyprotocol.com> in order to find a solution that works.

#### Will you support a specific blockchain? <a href="#will-you-support-a-specific-blockchain" id="will-you-support-a-specific-blockchain"></a>

Please contact us at <partnerships@rallyprotocol.com> in order to find a solution that works.

[<br>](https://docs.rallyprotocol.com/v/flutter/gasless-transactions/guides/determining-the-gasless-transaction-method)

[<br>](https://docs.rallyprotocol.com/v/flutter/embedded-wallets/how-it-works)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rallyprotocol.com/resources/faqs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
